package org.jvnet.hifaces.binding;

import javax.faces.context.FacesContext;
import javax.faces.el.EvaluationException;
import javax.faces.el.MethodNotFoundException;

public abstract class VoidMethodBinding extends MethodBinding {

  private static final long serialVersionUID = 1L;

  public Class getType(FacesContext facescontext) throws MethodNotFoundException {
    return Void.class;
  }

  public Object invoke(FacesContext facescontext, Object[] aobj)
      throws EvaluationException,
      MethodNotFoundException {
    execute();
    return null;
  }

  protected abstract void execute();
}
