package org.jvnet.hifaces.component.html.util;

import java.io.IOException;

import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;

import org.apache.myfaces.component.html.util.StreamingAddResource;
import org.apache.myfaces.renderkit.html.util.ResourceHandler;
import org.apache.myfaces.renderkit.html.util.ResourcePosition;
import org.apache.myfaces.shared_tomahawk.renderkit.html.HTML;

public class AddResource extends StreamingAddResource {

	public void addStyleSheet(FacesContext context, ResourcePosition position,
			ResourceHandler resourceHandler) {

		validateResourceHandler(resourceHandler);
		final String uri = getResourceUri(context, resourceHandler);
		final String inlineStyle = "@import url(\"" + uri + "\");";
		final ResponseWriter writer = context.getResponseWriter();
		try {
			writer.startElement(HTML.STYLE_ELEM, null);
			writer.writeAttribute(HTML.REL_ATTR, HTML.STYLESHEET_VALUE, null);
			writer.writeAttribute(HTML.TYPE_ATTR, HTML.STYLE_TYPE_TEXT_CSS,
					null);
			writer.writeText(inlineStyle, null);
			writer.endElement(HTML.STYLE_ELEM);
		} catch (IOException ex) {
			// Nothing to do
		}
	}
}
