package org.jvnet.hifaces.function.impl;

import java.lang.reflect.Method;

import javax.faces.context.FacesContext;

import org.jvnet.hifaces.function.Function3;

public class Method2<R, T, P0, P1> extends Function3<R, T, P0, P1> {

	private static final long serialVersionUID = 1L;

	// TODO make serializable
	private final Method method;

	@SuppressWarnings("unchecked")
	public Method2(Method method) {
		super((Class<? extends R>) method.getClass());
		this.method = method;
	}

	@SuppressWarnings("unchecked")
	@Override
	public R call(T target, P0 arg0, P1 arg1) throws Exception {
		return (R) method.invoke(target, new Object[]{arg0, arg1});
	}

	@SuppressWarnings("unchecked")
	@Override
	public R invoke(FacesContext facesContext, T target, P0 arg0, P1 arg1)
			throws Exception {
		return (R) method.invoke(target, new Object[]{arg0, arg1});
	}
}
