package org.jvnet.hifaces.function.impl;

import javax.faces.context.FacesContext;
import javax.faces.el.ValueBinding;

import org.jvnet.hifaces.function.Function0;

public class ValueBindingFunction extends Function0<String> {

	private static final long serialVersionUID = 1L;

	private final ValueBinding valueBinding;

	public ValueBindingFunction(ValueBinding valueBinding) {
		super(String.class);
		this.valueBinding = valueBinding;
	}

	@Override
	public String call() throws Exception {
		return (String) valueBinding
				.getValue(FacesContext.getCurrentInstance());
	}

}
