package org.jvnet.hifaces.util;

import org.apache.myfaces.custom.tree2.HtmlTree;
import org.jvnet.hifaces.myfaces.MyfacesConstants;
import org.jvnet.hifaces.util.CookieUtils;
import org.jvnet.hifaces.util.IdUtils;

public class TreeUtils {

	public static HtmlTree createTree() {
		final HtmlTree tree = new HtmlTree();
		IdUtils.assignId("tree", tree);
		tree.setClientSideToggle(CookieUtils.isCookiesEnabled());
		tree.setImageLocation(MyfacesConstants.WEBLET_PREFIX
				+ "/custom/tree2/resource/images");
		tree.setJavascriptLocation(MyfacesConstants.WEBLET_PREFIX
				+ "/custom/tree2/resource/javascript");
		// tree.setImageLocation("/pi/images/tree");
		return tree;

	}

}
